package com.ym.mec.biz.dal.dto;

import java.math.BigDecimal;

public class StudentVipPracticeExportDto{
    private Integer userId;

    private String username;

    private Integer vipOverNum;

    private Integer vipNotStartNum;

    private Integer vipTotalNum;

    private Integer vipNotStartTeacherId;

    private String vipNotStartTeacherName;

    private Integer normalClassTeacherId;

    private String normalClassTeacherName;

    private Integer vipOverTeacherId;

    private String vipOverTeacherName;

    private String vipNotStartTeacherIds;

    private String vipNotStartTeacherNames;

    private Integer practiceOverNum;

    private Integer practiceNotStartNum;

    private Integer practiceOverTeacherId;

    private String practiceOverTeacherName;

    private Integer practiceNotStartTeacherId;

    private String practiceNotStartTeacherName;

    private String practiceNotStartTeacherIds;

    private String practiceNotStartTeacherNames;

    private Integer teacherId;

    private String teacherName;

    private String organName;

    private BigDecimal courseBalance = BigDecimal.ZERO;

    private String subjectName;

    //上次课时
    private String beforeClassNum;

    //年级
    private Integer grade;

    public String getBeforeClassNum() {
        return beforeClassNum;
    }

    public void setBeforeClassNum(String beforeClassNum) {
        this.beforeClassNum = beforeClassNum;
    }

    public Integer getGrade() {
        return grade;
    }

    public void setGrade(Integer grade) {
        this.grade = grade;
    }

    public Integer getVipTotalNum() {
        return vipTotalNum;
    }

    public void setVipTotalNum(Integer vipTotalNum) {
        this.vipTotalNum = vipTotalNum;
    }

    public Integer getNormalClassTeacherId() {
        return normalClassTeacherId;
    }

    public void setNormalClassTeacherId(Integer normalClassTeacherId) {
        this.normalClassTeacherId = normalClassTeacherId;
    }

    public String getNormalClassTeacherName() {
        return normalClassTeacherName;
    }

    public void setNormalClassTeacherName(String normalClassTeacherName) {
        this.normalClassTeacherName = normalClassTeacherName;
    }

    public Integer getVipNotStartTeacherId() {
        return vipNotStartTeacherId;
    }

    public void setVipNotStartTeacherId(Integer vipNotStartTeacherId) {
        this.vipNotStartTeacherId = vipNotStartTeacherId;
    }

    public String getVipNotStartTeacherName() {
        return vipNotStartTeacherName;
    }

    public void setVipNotStartTeacherName(String vipNotStartTeacherName) {
        this.vipNotStartTeacherName = vipNotStartTeacherName;
    }

    public Integer getPracticeNotStartTeacherId() {
        return practiceNotStartTeacherId;
    }

    public void setPracticeNotStartTeacherId(Integer practiceNotStartTeacherId) {
        this.practiceNotStartTeacherId = practiceNotStartTeacherId;
    }

    public String getPracticeNotStartTeacherName() {
        return practiceNotStartTeacherName;
    }

    public void setPracticeNotStartTeacherName(String practiceNotStartTeacherName) {
        this.practiceNotStartTeacherName = practiceNotStartTeacherName;
    }

    public BigDecimal getCourseBalance() {
        return courseBalance;
    }

    public void setCourseBalance(BigDecimal courseBalance) {
        this.courseBalance = courseBalance;
    }

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    public String getOrganName() {
        return organName;
    }

    public void setOrganName(String organName) {
        this.organName = organName;
    }

    public String getVipNotStartTeacherIds() {
        return vipNotStartTeacherIds;
    }

    public void setVipNotStartTeacherIds(String vipNotStartTeacherIds) {
        this.vipNotStartTeacherIds = vipNotStartTeacherIds;
    }

    public String getVipNotStartTeacherNames() {
        return vipNotStartTeacherNames;
    }

    public void setVipNotStartTeacherNames(String vipNotStartTeacherNames) {
        this.vipNotStartTeacherNames = vipNotStartTeacherNames;
    }

    public String getPracticeNotStartTeacherIds() {
        return practiceNotStartTeacherIds;
    }

    public void setPracticeNotStartTeacherIds(String practiceNotStartTeacherIds) {
        this.practiceNotStartTeacherIds = practiceNotStartTeacherIds;
    }

    public String getPracticeNotStartTeacherNames() {
        return practiceNotStartTeacherNames;
    }

    public void setPracticeNotStartTeacherNames(String practiceNotStartTeacherNames) {
        this.practiceNotStartTeacherNames = practiceNotStartTeacherNames;
    }

    public Integer getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(Integer teacherId) {
        this.teacherId = teacherId;
    }

    public String getTeacherName() {
        return teacherName;
    }

    public void setTeacherName(String teacherName) {
        this.teacherName = teacherName;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public Integer getVipOverNum() {
        return vipOverNum;
    }

    public void setVipOverNum(Integer vipOverNum) {
        this.vipOverNum = vipOverNum;
    }

    public Integer getVipNotStartNum() {
        return vipNotStartNum;
    }

    public void setVipNotStartNum(Integer vipNotStartNum) {
        this.vipNotStartNum = vipNotStartNum;
    }

    public Integer getPracticeOverNum() {
        return practiceOverNum;
    }

    public void setPracticeOverNum(Integer practiceOverNum) {
        this.practiceOverNum = practiceOverNum;
    }

    public Integer getPracticeNotStartNum() {
        return practiceNotStartNum;
    }

    public void setPracticeNotStartNum(Integer practiceNotStartNum) {
        this.practiceNotStartNum = practiceNotStartNum;
    }

    public Integer getVipOverTeacherId() {
        return vipOverTeacherId;
    }

    public void setVipOverTeacherId(Integer vipOverTeacherId) {
        this.vipOverTeacherId = vipOverTeacherId;
    }

    public String getVipOverTeacherName() {
        return vipOverTeacherName;
    }

    public void setVipOverTeacherName(String vipOverTeacherName) {
        this.vipOverTeacherName = vipOverTeacherName;
    }

    public Integer getPracticeOverTeacherId() {
        return practiceOverTeacherId;
    }

    public void setPracticeOverTeacherId(Integer practiceOverTeacherId) {
        this.practiceOverTeacherId = practiceOverTeacherId;
    }

    public String getPracticeOverTeacherName() {
        return practiceOverTeacherName;
    }

    public void setPracticeOverTeacherName(String practiceOverTeacherName) {
        this.practiceOverTeacherName = practiceOverTeacherName;
    }
}
